TAIL(1)

NAME
tail - Print the last 10 lines of each FILE to standard output. With more than one FILE, precede each with a header giving the file name. With no FILE, or when FILE is -, read standard input. Mandatory arguments to long options are mandatory for short options too.

SYNOPSIS
tail [-c|--bytes] [-f|--follow] [-n|--lines] [--pid] [-q|--quiet] [-s|--sleep-interval] [--max-unchanged-stats] [-v|--verbose] [-z|--zero-terminated] [--use-polling] [--retry] [-F ] [--debug] [-h|--help] [-V|--version] [files]

DESCRIPTION
Print the last 10 lines of each FILE to standard output. With more than one FILE, precede each with a header giving the file name. With no FILE, or when FILE is -, read standard input.

Mandatory arguments to long options are mandatory for short options too.

OPTIONS

-c, --bytes
    Number of bytes to print

-f, --follow
    Print the file as it grows Possible values:

    •   descriptor

    •   name

-n, --lines
    Number of lines to print

--pid <PID>
    With -f, terminate after process ID, PID dies

-q, --quiet
    Never output headers giving file names

-s, --sleep-interval <N>
    Number of seconds to sleep between polling the file when running with -f

--max-unchanged-stats <N>
    Reopen a FILE which has not changed size after N (default 5) iterations to see if it has been unlinked or renamed (this is the usual case of rotated log files); This option is meaningful only when polling (i.e., with --use-polling) and when --follow=name

-v, --verbose
    Always output headers giving file names

-z, --zero-terminated
    Line delimiter is NUL, not newline

--use-polling
    Disable 'kqueue' support and use polling instead

--retry
    Keep trying to open a file if it is inaccessible

-F  Same as --follow=name --retry

--debug
    indicate which --follow implementation is used

-h, --help
    Print help

-V, --version
    Print version

[files]

EXTRA
## Examples Show last 10 lines in a file: tail {{path/to/file}} Show last 10 lines of multiple files: tail {{path/to/file1 path/to/file2 ...}} Show last 5 lines in file: tail {{[-5|--lines 5]}} {{path/to/file}} Print a file from a specific line number: tail {{[-n|--lines]}} +{{count}} {{path/to/file}} Print a specific count of bytes from the end of a given file: tail {{[-c|--bytes]}} {{count}} {{path/to/file}} Print the last lines of a given file and keep reading it until `<Ctrl c>`: tail {{[-f|--follow]}} {{path/to/file}} Keep reading file until `<Ctrl c>`, even if the file is inaccessible: tail {{[-F|--retry --follow]}} {{path/to/file}} Show last `count` lines in a file and refresh every `seconds` seconds: tail {{[-n|--lines]}} {{count}} {{[-s|--sleep-interval]}} {{seconds}} {{[-f|--follow]}} {{path/to/file}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0